For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet XP Balance (V2)
        • GETGet Transfer Fee Configuration
        • GETGet Public XP Transfer History
        • POSTCreate XP Transfer
        • GETGet XP Transfer by ID
        • GETGet XP Transfer History
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceXp Transfers V2

Get XP Transfer by ID

GET
https://api.prod.paradex.trade/v1/xp/transfer/:transfer_id
GET
/v1/xp/transfer/:transfer_id
$curl https://api.prod.paradex.trade/v1/xp/transfer/transfer_id \
> -H "Authorization: <apiKey>"
1{
2 "amount": 100,
3 "created_at": 1640995200000,
4 "fee": 1,
5 "id": "transfer_123",
6 "is_private": false,
7 "recipient": "0xfedcba0987654321",
8 "season": "season2",
9 "sender": "0x1234567890abcdef"
10}

Retrieve details of a specific XP transfer by its ID. This is a public endpoint that does not require authentication. Note: Private transfers will return 404 (not found) to maintain privacy.

Was this page helpful?
Previous

Get XP Transfer History

Next
Built with

Path parameters

transfer_idstringRequired
Transfer ID

Response

OK
amountinteger
Amount of XP transferred
created_atinteger

Creation timestamp (milliseconds since epoch)

feeinteger

Fee charged for the transfer (deducted from sender’s balance)

idstring
Unique transfer identifier
is_privateboolean

Whether the transfer is private (not shown on public feeds)

recipientstring

Address of the recipient (gaining XP)

seasonstring

Season identifier (‘season1’ for Season 1, ‘season2’ for Season 2, etc.)

senderstring

Address of the sender (losing XP)

Errors

400
Bad Request Error
404
Not Found Error